--
-- Script DML de GRHUM pour constantes dans les tables du framework Evenement à executer depuis le user GRHUM
--
SET DEFINE OFF;

--
-- CATEGORIES ET TYPES D'EVENEMENT
--
-- Type Administratif
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE_CAT (EVTT_CAT_ID, EVTT_CAT_ID_INTERNE, EVTT_CAT_LC, EVTT_CAT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.nextval, 'ADMIN', 'Administratif', 'Amdministratif');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'TRAITER_COURRIER', 1, 'Courrier à traiter', 'Courrier à traiter');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'PASSAGE_CA', 1, 'Passage en CA', 'Passage en CA');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'PASSAGE_CEVU', 1, 'Passage en CEVU', 'Passage en CEVU');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'PASSAGE_CS', 1, 'Passage en CS', 'Passage en CS');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'SIGNER_PIECE', 1, 'Pièce à signer', 'Pièce à signer');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'REMETTRE_RAPPORT', 1, 'Rapport à remettre', 'Rapport à remettre');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'REUNION', 1, 'Réunion', 'Réunion');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'DEB_EXEC', 2, 'Début d''exécution', 'Début d''exécution');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'FIN_EXEC', 3, 'Fin d''exécution', 'Fin d''exécution');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'CLOTURE', 4, 'Clôture', 'Clôture');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'AUTRE', 100, 'Autre', 'Autre');

-- Type Financier
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE_CAT (EVTT_CAT_ID, EVTT_CAT_ID_INTERNE, EVTT_CAT_LC, EVTT_CAT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.nextval, 'FINANCIER', 'Financier', 'Financier');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'REALISER_FACTURE', 1, 'Facture à réaliser', 'Facture à réaliser');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'PERCEVOIR_SOMME', 1, 'Somme à percevoir', 'Somme à percevoir');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'VERSER_SOMME', 1, 'Somme à verser', 'Somme à verser');

-- Type Juridique
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE_CAT (EVTT_CAT_ID, EVTT_CAT_ID_INTERNE, EVTT_CAT_LC, EVTT_CAT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.nextval, 'JURIDIQUE', 'Juridique', 'Juridique');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'CAR', 1, 'Convention amélioriée / réequilibre', 'Convention amélioriée / réequilibre');
INSERT INTO GRHUM.EVT_EVENEMENT_TYPE (EVTT_ID, EVTT_CAT_ID, EVTT_ID_INTERNE, EVTT_ORDRE_AFFICHAGE, EVTT_LC, EVTT_LL) 
VALUES (GRHUM.EVT_EVENEMENT_TYPE_SEQ.nextval, GRHUM.EVT_EVENEMENT_TYPE_CAT_SEQ.currval, 'LIM', 1, 'Limitation de l''étendue de la responsabilité de l''établissement', 'Limitation de l''étendue de la responsabilité de l''établissement');
--
-- ETATS POSSIBLES POUR UN EVENEMENT
--
INSERT INTO GRHUM.EVT_EVENEMENT_ETAT (EVTE_ID, EVTE_ID_INTERNE, EVTE_ORDRE_AFFICHAGE, EVTE_LC, EVTE_LL) 
VALUES (GRHUM.EVT_EVENEMENT_ETAT_SEQ.nextval, 'PREVU', 10, 'Prévu', 'Prévu');
INSERT INTO GRHUM.EVT_EVENEMENT_ETAT (EVTE_ID, EVTE_ID_INTERNE, EVTE_ORDRE_AFFICHAGE, EVTE_LC, EVTE_LL) 
VALUES (GRHUM.EVT_EVENEMENT_ETAT_SEQ.nextval, 'REALISE', 20, 'Réalisé', 'Réalisé');

--
-- ROLES POSSIBLES D'UN DOCUMENT AU SEIN D'UN EVENEMENT
--
INSERT INTO GRHUM.EVT_ROLE_DOCUMENT (RDOC_ID, RDOC_ID_INTERNE, RDOC_ORDRE_AFFICHAGE, RDOC_LC, RDOC_LL) 
VALUES (GRHUM.EVT_ROLE_DOCUMENT_SEQ.nextval, 'PIECE_A_SIGNER', 1, 'Pièce à signer', 'Pièce à signer');
INSERT INTO GRHUM.EVT_ROLE_DOCUMENT (RDOC_ID, RDOC_ID_INTERNE, RDOC_ORDRE_AFFICHAGE, RDOC_LC, RDOC_LL) 
VALUES (GRHUM.EVT_ROLE_DOCUMENT_SEQ.nextval, 'COURRIER_A_TRAITER', 1, 'Courrier à traiter', 'Courrier à traiter');

--
-- ROLES POSSIBLES D'UNE PERSONNE AU SEIN D'UN EVENEMENT
--
INSERT INTO GRHUM.EVT_ROLE_PERSONNE (RPER_ID, RPER_ID_INTERNE, RPER_ORDRE_AFFICHAGE, RPER_LC, RPER_LL) 
VALUES (GRHUM.EVT_ROLE_PERSONNE_SEQ.nextval, 'INVITE', 1, 'Personne invitée', 'Personne invitée');
INSERT INTO GRHUM.EVT_ROLE_PERSONNE (RPER_ID, RPER_ID_INTERNE, RPER_ORDRE_AFFICHAGE, RPER_LC, RPER_LL) 
VALUES (GRHUM.EVT_ROLE_PERSONNE_SEQ.nextval, 'BENEFICIAIRE', 1, 'Bénéficiaire', 'Bénéficiaire');
INSERT INTO GRHUM.EVT_ROLE_PERSONNE (RPER_ID, RPER_ID_INTERNE, RPER_ORDRE_AFFICHAGE, RPER_LC, RPER_LL) 
VALUES (GRHUM.EVT_ROLE_PERSONNE_SEQ.nextval, 'ORGANISATEUR', 1, 'Organisateur', 'Organisateur');

--
-- TYPES DE REPETITION POSSIBLES POUR UNE FREQUENCE
--
INSERT INTO GRHUM.EVT_REPETITION (REP_ID, REP_ID_INTERNE, REP_ORDRE_AFFICHAGE, REP_LC, REP_LL) 
VALUES (GRHUM.EVT_REPETITION_SEQ.nextval, 'AUCUNE', 1, 'Aucune', 'Jamais');
INSERT INTO GRHUM.EVT_REPETITION (REP_ID, REP_ID_INTERNE, REP_ORDRE_AFFICHAGE, REP_LC, REP_LL) 
VALUES (GRHUM.EVT_REPETITION_SEQ.nextval, 'JOUR', 2, 'Quotidienne', 'Tous les jours');
INSERT INTO GRHUM.EVT_REPETITION (REP_ID, REP_ID_INTERNE, REP_ORDRE_AFFICHAGE, REP_LC, REP_LL) 
VALUES (GRHUM.EVT_REPETITION_SEQ.nextval, 'SEMAINE', 3, 'Hebdomadaire', 'Toutes les semaines');
INSERT INTO GRHUM.EVT_REPETITION (REP_ID, REP_ID_INTERNE, REP_ORDRE_AFFICHAGE, REP_LC, REP_LL) 
VALUES (GRHUM.EVT_REPETITION_SEQ.nextval, 'MOIS', 4, 'Mensuelle', 'Tous les mois');
INSERT INTO GRHUM.EVT_REPETITION (REP_ID, REP_ID_INTERNE, REP_ORDRE_AFFICHAGE, REP_LC, REP_LL) 
VALUES (GRHUM.EVT_REPETITION_SEQ.nextval, 'AVANCEE', 10, 'Avancée', 'Avancée');

--
-- TYPES DE TACHE
--
INSERT INTO GRHUM.EVT_TYPE_TACHE (TYTA_ID, TYTA_ID_INTERNE, TYTA_ORDRE_AFFICHAGE, TYTA_VISIBILITE, TYTA_LC, TYTA_LL)
VALUES (GRHUM.EVT_TYPE_TACHE_SEQ.nextval, 'ALERTE_MAIL', 2, 'PUBLIC', 'Alerte par mail', 'Tâche d''alerte par mail des personnes concernées par un événement');
INSERT INTO GRHUM.EVT_TYPE_TACHE (TYTA_ID, TYTA_ID_INTERNE, TYTA_ORDRE_AFFICHAGE, TYTA_VISIBILITE, TYTA_LC, TYTA_LL)
VALUES (GRHUM.EVT_TYPE_TACHE_SEQ.nextval, 'EXEC_TACHE_APPLICATION', 1000, 'PRIVE', 'Tache d''application', 'Tâche d''execution de traitements propres à une application. Le nom de la classe à executer est enregistré dans la tache.');

--
-- PARAMETRES
--
INSERT INTO GRHUM.EVT_PARAMETRES (PARAM_ORDRE, PARAM_KEY, PARAM_VALUE, PARAM_COMMENTAIRES) 
VALUES (GRHUM.EVT_PARAMETRES_SEQ.nextval, 'PERS_ID_DEPOSANT_GED', '30626', 'PERS_ID a utiliser comme personne deposant les documents dans la GED');


--
-- Cloture de la version du patch
--
-- TODO Libelle de la version !
--UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.0.0.1';

COMMIT;

